import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Account } from "@payfunc/model";
export declare class Onboard {
  apiKey: string;
  account: Account | undefined;
  number: string | undefined;
  responseTimer?: number;
  element: HTMLElement;
  private merchant?;
  t: langly.Translate;
  create: EventEmitter<Account>;
  componentWillLoad(): Promise<void>;
  onCreate(event: CustomEvent<Account>): void;
  render(): any;
}
